Skip to main content
GET
/
memberships
/
cp
/
api
/
data
/
products
Search subscription-enabled products with pagination
curl --request GET \
  --url https://www.myshop.com/apps/memberships/cp/api/data/products
{
  "products": [
    {
      "get__typename": "<string>",
      "id": "<string>",
      "handle": "<string>",
      "title": "<string>",
      "featuredMedia": {
        "get__typename": "<string>"
      },
      "vendor": "<string>"
    }
  ],
  "pageInfo": {
    "get__typename": "<string>",
    "hasPreviousPage": true,
    "hasNextPage": true,
    "startCursor": "<string>",
    "endCursor": "<string>"
  },
  "productHandleData": {}
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

next
boolean
default:false
cursor
string
contractId
integer<int64>
sellingPlanIds
string
sendAllData
boolean

Response

200 - */*

OK

products
object[]
pageInfo
object
productHandleData
object